package com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator;

import com.brilliance.isc.swift.objmtconvert.annotation.FieldDescription;
import com.brilliance.isc.swift.objmtconvert.annotation.Status;
import com.brilliance.isc.swift.objmtconvert.annotation.TagName;
import com.brilliance.isc.swift.objmtconvert.annotation.TagRegex;
import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.commontag.DcDateCurAmtTagXXX;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class MT971AbsCreator extends AbsMTCreator {

    @Status("M")
    @TagName("25")
    @FieldDescription("Account Identification")
    @TagRegex("35x")
    //25
    private String accountIdentifi;
    @Status("M")
    @TagName("62F")
    @FieldDescription("Final Closing Balance")
    @TagRegex("1!a6!n3!a15d")
    //62F
    private DcDateCurAmtTagXXX dcDateCurAmt62F;

    public String getAccountIdentifi() {
        return accountIdentifi;
    }

    public void setAccountIdentifi(String accountIdentifi) {
        this.accountIdentifi = accountIdentifi;
    }

    public DcDateCurAmtTagXXX getDcDateCurAmt62F() {
        return dcDateCurAmt62F;
    }

    public void setDcDateCurAmt62F(DcDateCurAmtTagXXX dcDateCurAmt62F) {
        this.dcDateCurAmt62F = dcDateCurAmt62F;
    }

    public MT971AbsCreator(String jsonData) throws Exception {
        super(jsonData);
    }

    public MT971AbsCreator() {
        super();
    }



    public MtResult unpack() {
        return null;
    }


}
